﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Text;

namespace SfDataGridResourceMapIssue
{
    class Model : INotifyPropertyChanged
    {
        int? orderID;
        string customerId;
        string country;
        string customerName;
        string shippingCity;
        double? discount;
        //List<Something> _something;

        public int? OrderID
        {
            get { return orderID; }
            set { orderID = value; RaisePropertyChanged("OrderID"); }
        }

        public string CustomerID
        {
            get { return customerId; }
            set { customerId = value; RaisePropertyChanged("CustomerID"); }
        }

        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; RaisePropertyChanged("CustomerName"); }
        }

        public string Country
        {
            get { return country; }
            set { country = value; RaisePropertyChanged("Country"); }
        }

        public string ShipCity
        {
            get { return shippingCity; }
            set { shippingCity = value; RaisePropertyChanged("ShipCity"); }
        }

        public double? Discount
        {
            get
            {
                return discount;
            }
            set
            {
                discount = value; RaisePropertyChanged("Discount");
            }
        }
        //public List<Something> Something
        //{
        //    get { return _something; }
        //    set { _something = value; RaisePropertyChanged("Something"); }
        //}
       
        public Model(int orderId, string customerName, string country, string
        customerId, string shipCity)
        {
            this.OrderID = orderId;
            this.CustomerName = customerName;
            this.Country = country;
            this.CustomerID = customerId;
            this.ShipCity = shipCity;
            this.Discount = 12.0;                            
        }
        public Model()
        {

        }
        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void RaisePropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }

    }
}
